CadXP: Angle de rotation enregistré - CadXP

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Angle de rotation enregistré

#1 L'utilisateur est hors-ligne   Matt666 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 727
  • Inscrit(e) : 05-juin 07
  • LocationRennes

Posté 26 janvier 2021 - 14:57

Bonjour à tous,

Petite question, je cherche à retrouver sur BricsCAD le dernier angle utilisé par la commande _rotate.
La variable 'lastangle ne donne rien, en tout cas pas avec la commande _rotate. Càd la variable ne change pas après la fin de la commande.
Du coup j'ai cherché un peu, et suis tombé sur un post du forum autodesk datant de 2002 (!), qui permettait de retrouver la variable en VL.
Mais la ligne ci-dessous ne fonctionne pas sur BricsCAD :
(vla-getInterfaceObject (vlax-get-acad-object) "AcadX.InputManager")

Cette ligne fonctionne-t-elle sur AutoCAD ?
C'est sûrement le ProgID qui est inextistant,j'ai cherché en vain à trouver un équivalent sur BricsCAD, la fonction 'getInterfaceObject' et surtout les potentiels ProgID associés ne sont pas répertoriés.
Avez-vous une idée ?Merci !Matt.
"Chacun compte pour un, et nul ne compte pour plus d'un."
0

#2 L'utilisateur est hors-ligne   Luna 

  • ceinture bleue
  • Groupe : Membres
  • Messages : 190
  • Inscrit(e) : 27-février 20

Posté 26 janvier 2021 - 17:42

Coucou,

Je ne sais pas si cela provient de là mais il semblerait que cette application "AcadX.InputManager" fasse partie de la suite Microsoft Visual Basic (VBA). J'ai en effet testé
(vla-getInterfaceObject (vlax-get-acad-object) "AcadX.InputManager")
sur mon AutoCAD 2019 et cela me renvoie le message "Erreur lors du chargement de l'application".

J'ai trouvé cette discussion également sur un sujet similaire : https://forums.autod...adx/td-p/334626

J'ai également essayé d'installer VBA sur mon environnement AutoCAD mais cela ne change rien... Il est possible que l'application est changée de nom depuis 2002 mais je n'ai pas trouvé d'article relatant de cela.
Je suis donc désolée mais je n'ai pas plus d'infos... Cependant cette valeur est belle est bien sauvegardée dans le dessin..

Commande: ANGBASE
Entrez une nouvelle valeur pour ANGBASE <0.0>: 17.56
Commande:
Commande: RT
ROTATION
Angle positif courant dans SCU: ANGDIR=sens horaire contraire ANGBASE=17.56
1 trouvé(s)
Spécifiez le point de base:
Spécifiez l'angle de rotation ou [Copier/Référence] <60.44>: 37.89
Commande:
Commande:
ROTATION
Angle positif courant dans SCU: ANGDIR=sens horaire contraire ANGBASE=17.56
1 trouvé(s)
Spécifiez le point de base:
Spécifiez l'angle de rotation ou [Copier/Référence] <20.33>:

ANGBASE ne correspond pas à la valeur par défaut cependant la valeur par défaut dépend bien de ANGBASE (20.33 = 37.89 - 17.56) donc cette valeur est forcément récupérable mais je n'ai trouvé aucune variable système sur ce principe (LASTANGLE correspondant à l'angle pour la commande ARC et non ROTATION) et aucune infos en LISP/Visual pour récupérer cette info...

Peut-être que des personnes plus expérimenter en Visual pourront avoir une piste mais le progID "AcadX.InputManager" ne fonctionne désormais plus...

Bisous,
Luna
0

#3 L'utilisateur est hors-ligne   Matt666 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 727
  • Inscrit(e) : 05-juin 07
  • LocationRennes

Posté 26 janvier 2021 - 22:43

Salut Luna,
Ouf tes recherches corroborent les miennes. Je pensais que ça venait de BricsCAD...
Du coup est-ce possible de récupérer des valeurs utilisateur par vlisp, autrement que pas des variables ?Je ne comprends pas grand chose à vlisp, c'est pas la même logique de l'autolisp et je trouve la documentation mal foutue. Mais ce n'est qu'un avis.
J'utilise le ruby pour sketchup et la doc est très bien fournie. Là je sèche presque tout de suite et obligé de passer par les forums. Ceci dit merci pour votre savoir mis à dispo, c'est top !Bref je m'égare.
Merci à toi Luna, et merci aux autre qui pourront m'aiguiller.

"Chacun compte pour un, et nul ne compte pour plus d'un."
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)